soldumper(1)

NAME
soldumper - Gnash Local Shared Object (LSO) File Dumper

Synopsis

soldumper (options)... (file)...

DESCRIPTION
Dump information about the .sol files used by the SharedObject ActionScript class.

When a Flash player, including the Gnash player, plays a Flash "movie", the movie can contain scripts. These scripts can call ActionScript classes. One such class is SharedObject. SharedObject creates shared objects, which end up stored in your computer's file system. For example, a Flash game might store its score file in a SharedObject; or a privacy-invading Flash movie might store "cookies" in a SharedObject. Before soldumper was written, these bits of stored information were hard for users to notice or investigate. Soldumper prints these files, which are comprised of a header, and a collection of SWF AMF Objects that the movie has written in the shared object file.

-h  Print usage info.

-l  List all the .sol files in the default path.

-f  Ignore the global setting, use the current directory for files.

-v  Verbose output.